Bug 518377 - [cpuspeed] unable to set governor ondemand for p4-clockmod driver
Summary: [cpuspeed] unable to set governor ondemand for p4-clockmod driver
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 06:27 UTC by Joachim Frieben
Modified: 2010-11-08 17:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-08 17:39:57 UTC


Attachments (Terms of Use)
/etc/sysconfig/cpuspeed (2.61 KB, text/plain)
2009-08-20 06:27 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2009-08-20 06:27:22 UTC
Created attachment 358045 [details]
/etc/sysconfig/cpuspeed

Description of problem:
For a current "rawhide" install on a P4 Celeron system, the CPU clock runs at maximum speed all the time despite an entry GOVERNOR=ondemand in /etc/sysconfig/cpuspeed.

Version-Release number of selected component (if applicable):
cpuspeed-1.5-12.fc12.i686

How reproducible:
Always.

Steps to Reproduce:
1. Start GNOME session.
  
Actual results:
Frequency applet shows maximum CPU clock all the time.

Expected results:
Frequency applet shows variable CPU clock.

Additional info:
- $ service cpuspeed status
  Frequency scaling enabled using performance governor
- Forcing governor ondemand through the CPU frequency applet has no effect.
- Frequency scaling used to work for F11.
- processor       : 0
  vendor_id       : GenuineIntel
  cpu family      : 15
  model           : 2
  model name      : Intel(R) Celeron(R) CPU 2.00GHz
  stepping        : 9
  cpu MHz         : 2000.000
  cache size      : 128 KB
  fdiv_bug        : no
  hlt_bug         : no
  f00f_bug        : no
  coma_bug        : no
  fpu             : yes
  fpu_exception   : yes
  cpuid level     : 2
  wp              : yes
  flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca
                    cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss
                    ht tm pbe up pebs bts cid xtpr
  bogomips        : 3993.93
  clflush size    : 64
  power management:

Comment 1 Jarod Wilson 2009-08-28 20:50:38 UTC
Nothing on the cpuspeed side has changed, this is a kernel change, and I believe intentional.

Comment 2 Bug Zapper 2009-11-16 11:33:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:27:00 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.